/* 
    Created on : jun 2023
    Author     : Char
    Last Update : 22/07/2024
*/
/*---VARIABLES DEL SISTEMA---*/

/* Paleta de verdes*/
/*
     :root {
        --main-color: #1EA637;
        --main-active-color:#38A61E;
        --light-main-color: #1EA665;
        --second-color: #1EA693;
        --second-active-color:#1E8CA6;
        --title-color:#000000;
        --link-color: #55A51E;
        --link-active-color: #15865B;
        --label-color:#212529;
        --darkslateblue:#253779;
    }*/

/* Paleta de verde-azules
:root {
    --main-color: <?php echo $color; ?>;
    --main-active-color: #1B9339;
    --light-main-color: #1A938A;
    --second-color: #1B7695;
    --second-active-color:#1A4F93;
    --title-color:#000000;
    --link-color: #14A176;
    --link-active-color: #15865B;
    --label-color:#212529;
    --darkslateblue:#4C8294;
}*/
/* Paleta de azules*/
/*
         :root {
    --main-color: #124FC9;
    --main-active-color: #1216C9;
    --light-main-color:#499CC9;
    --second-color: #1389C9;
    --second-active-color:#136EC9;
    --title-color:#000000;
    --link-color: #12A8C9;
    --link-active-color: #12B3B0;
    --label-color:#212529;
    --darkslateblue:#253779;
}*/

aside.main-sidebar.sidebar-dark-success.elevation-4{
        background-color:var(--sidebar-color);
        
}

.sidebar-dark-success .nav-sidebar>.nav-item>.nav-link.active, .sidebar-light-success .nav-sidebar>.nav-item>.nav-link.active {
    background-color: var(--link-active-color)!important;
}

label.control-label , .form-group>label{
    color: var(--label-color)!important;
    font-weight: 500!important;
}
a{
    color: var(--link-color);
}
a:hover{
    color: var(--link-active-color);
}
.btn-main{
    border: var(--main-color)!important;
    background-color: var(--main-color)!important;
    border-radius: 20px;
    color: white;
}
.btn-main:hover{
    border-color: var(--main-active-color)!important;
    background-color: var(--main-active-color)!important;
}
.btn-second{
    border: var(--second-color)!important;
    background-color: var(--second-color)!important;
    border-radius: 20px;
    color: white;
}
.btn-second:hover{
    border-color: var(--second-active-color)!important;
    background-color: var(--second-active-color)!important;
    color: white;
}
.btn-outline-main{
    color:var(--main-color);
    border:1px solid var(--main-color)!important;
    border-radius: 20px;
}
.btn-outline-main:hover{
    border-color: var(--main-color)!important;
    background-color: var(--main-color)!important;
}
.btn-outline-second{
    color:var(--second-color);
    border:1px solid var(--second-color)!important;
    border-radius: 20px;
}
.btn-outline-second:hover{
    color:white;
    border-color: var(--second-color)!important;
    background-color: var(--second-color)!important;
}
/*---HEADER--*/
.search-input{
    border: 1px solid var(--main-color);
    border-radius: 20px;
    overflow: hidden;
    input{
        width: 300px;
    }
}
#searchButton{
    color: #8b8d8f;
}
.user-toggle{
    border: 1px solid var(--main-color);
    border-radius: 50%;
    height: 40px;
    width: 40px;
    display: flex;
    justify-content: center;

    .nav-link i{
        font-size: 1.4em;
        color:var(--main-color);
    }

}
.nav-icons{
    font-size: 1.6em;
    color:var(--main-color);
}
span.dropdown-item.dropdown-header {
    font-weight: 600;
    font-size: 1rem;
    color: black;
}
/*---BREADCRUMS Y TITULOS---*/
.text-title{
    color: var(--title-color);
}
.card-title{
    font-weight: 600;
    font-size: large;
}
/* --------TABLAS----------- */
.grid-view{
    padding: 0!important;
    margin: 16px 0px;
}
.grid-view table.background-success thead tr th{
    color: white;
    text-align:center;
    padding:15px;
    background:var(--main-color);
    font-weight:bold;
}
.grid-view table.background-success thead tr th a{
    color: white;
}
.grid-view table.items th, .grid-view table.items td {
    border: none;
    border-bottom: none;
    white-space: nowrap;
    text-align: center;
}

.grid-view table.items td:not(:first-child):not(:nth-child(2)) {
    max-width: 150px; 
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}


.grid-view table.items td:first-child,
.grid-view table.items th:first-child {
    border-radius: 10px 0 0 10px;
}

.grid-view table.items td:not(:second-child) {
    max-width: 150px; 
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.grid-view table.items td:last-child,
.grid-view table.items th:last-child {
    border-radius: 0 10px 10px 0;
}

.grid-view table.items td:first-child:only-child,.grid-view table.items th:first-child:only-child {
    border-radius: 10px;
}
.grid-view table.items tr.even {
    background: #eaecee;
}

.grid-view table.items tr.collapsed td[data-graficarf="A"] {
    text-align: start;
    color: #050505;
}
.grid-view table.items tr.initialized td[data-graficarf="A"] {
    text-align: start;
}
/* Selecciona los elementos cuya clase contenga "child-of-" seguido de cualquier texto */
.grid-view table.items tr[class*="child-of-"] td[data-graficarf="A"]{
    /* Aquí puedes agregar tus estilos */
    color: #050505;
    padding-left: 1rem;
}

.grid-view table.items tr.parent td{
        color: black;
        font-weight: 600;
        text-align: start;
}

.grid-view table.items tr.odd:hover {
    background: unset;
}
.icon-success{
    color:var(--link-color);
    text-decoration:none;
    padding:1px;
    font-size:15px;
}

.grid-view .summary {
    text-align: left;
    margin: 0;
}
.grid-view .pager{
    text-align: right;
    margin: 0;
}
ul.yiiPager a:link,
ul.yiiPager a:visited
{
    border:none;
    font-weight:bold;
    color:var(--link-color);
    padding:1px 6px;
    text-decoration:none;
}
ul.yiiPager .selected a
{
    background:var(--link-active-color)!important;
    color:white;
    font-weight:bold;
    border-radius: 5px;
}
.btn-excel{
    border-radius: 20px;
}
/*--- InfoUser----*/
table.detail-view {
    border-collapse: unset;
    tr{
        border: none;
        border-bottom: none;
    }
}

/*---FOOTER---*/
.img-footer{
    width: 200px
}
.img-footer{
    width: 200px
}
.footer-link{
    color: #869099;
}
.footer-link:hover{
    color: #229b93;
}

.floating-window {
  display: none;
  position:absolute;
  background: rgba(0, 0, 0, 0.8);
  color: white;
  padding: 10px;
  border-radius: 5px;
  z-index: 1000;
  max-width: 300px;
}

.floating-window.show {
  display: block;
}